polybori::CTermGeneratorBase__< TermType, type_tag< BooleMonomial > > Class Template Reference

`#include <CTermGenerator.h>`

## Public Types

typedef TermType | value_type
typedef value_type | result_type
typedef BoolePolyRing | data_type
typedef data_type::dd_type | dd_type

## Public Member Functions

| CTermGeneratorBase__ (const data_type &data)
| CCuddCore * m_data; // non-save variant. More...
| CTermGeneratorBase__ ()
template<class SequenceType >
result_type | operator() (const SequenceType &seq) const

## Public Attributes

data_type | m_data

## Member Typedef Documentation

template<class TermType >

typedef BoolePolyRing polybori::CTermGeneratorBase__< TermType, type_tag< BooleMonomial > >::data_type

template<class TermType >

typedef data_type::dd_type polybori::CTermGeneratorBase__< TermType, type_tag< BooleMonomial > >::dd_type

template<class TermType >

typedef value_type polybori::CTermGeneratorBase__< TermType, type_tag< BooleMonomial > >::result_type

template<class TermType >

typedef TermType polybori::CTermGeneratorBase__< TermType, type_tag< BooleMonomial > >::value_type

## Constructor & Destructor Documentation

template<class TermType >

polybori::CTermGeneratorBase__< TermType, type_tag< BooleMonomial > >::CTermGeneratorBase__ | ( | const data_type & | data | ) |

inline

CCuddCore * m_data; // non-save variant.

template<class TermType >

polybori::CTermGeneratorBase__< TermType, type_tag< BooleMonomial > >::CTermGeneratorBase__ | ( |  | ) |

inline

## Member Function Documentation

template<class TermType >
template<class SequenceType >

result_type polybori::CTermGeneratorBase__< TermType, type_tag< BooleMonomial > >::operator() | ( | const SequenceType & | seq | ) | const

inline

PBORI_ASSERT(m_data != data_type()); // todo???

typedef typename ring_type::manager_type manager_type;

References PBORI_ASSERT.

## Member Data Documentation

template<class TermType >

data_type polybori::CTermGeneratorBase__< TermType, type_tag< BooleMonomial > >::m_data

The documentation for this class was generated from the following file:

- CTermGenerator.h